<%= form_tag student_exam_form_path, method: :post do %>

  <div class="ui one column container stackable grid">
    <div class="column">
      <% exam.subject.exams.where(is_active: true).first.questions.where(is_active: true).shuffle[0...10].each_with_index do |question, idx| %>
        <div class="ui segment">
          <a class="ui blue ribbon label"><%= idx + 1 %></a>
          <div class="ui text left aligned dividing header"><%= question.title.body %></div>
          <% question.answers.shuffle[0...4].each do |answer| %>
            <% student_exam_answers(question, answer) %>
            <div class="ui segment">
              <ul>
                <%= radio_button_tag "[answers][#{question.id}][question_answer]", answer.id, nil, required: true %> &nbsp; <%= answer.title %>
              </ul>
            </div>
          <% end %>
        </div>
      <% end %>
    </div>
  </div>

  <div class="ui one column stackable container grid">
    <div class="column">
      <%= submit_tag 'Enviar respuestas', class: 'ui fluid green button', data: { disable_with: 'Resolviendo examén...'} %>
    </div>
  </div>

<% end %>
